--Generation
minetest.register_ore({
	ore_type       = "scatter",
	ore            = "am:am_ore_large",
	wherein        = "default:stone",
	clust_scarcity = 10*10*10,
	clust_num_ores = 9,
	clust_size     = 5,
	height_min     = -31000,
	height_max     = -100,
})

minetest.register_ore({
	ore_type       = "scatter",
	ore            = "am:am_ore_small",
	wherein        = "default:stone",
	clust_scarcity = 7*7*7,
	clust_num_ores = 5,
	clust_size     = 2,
	height_min     = -31000,
	height_max     = 100,
})
minetest.register_ore({
	ore_type       = "scatter",
	ore            = "am:am_ore_medium",
	wherein        = "default:stone",
	clust_scarcity = 6*6*6,
	clust_num_ores = 5,
	clust_size     = 2,
	height_min     = -31000,
	height_max     = -45,
})

minetest.register_ore({
	ore_type       = "scatter",
	ore            = "am:am_ore_medium",
	wherein        = "default:stone",
	clust_scarcity = 9*9*9,
	clust_num_ores = 7,
	clust_size     = 3,
	height_min     = -31000,
	height_max     = -65,
})

minetest.register_ore({
	ore_type       = "scatter",
	ore            = "am:am_ore_large",
	wherein        = "default:stone",
	clust_scarcity = 5*5*5,
	clust_num_ores = 5,
	clust_size     = 2,
	height_min     = -31000,
	height_max     = -75,
})
minetest.register_ore({
	ore_type       = "scatter",
	ore            = "am:am_ore_large",
	wherein        = "default:stone",
	clust_scarcity = 9*9*9,
	clust_num_ores = 5,
	clust_size     = 3,
	height_min     = -31000,
	height_max     = -125,
})
--Nodes
minetest.register_node("am:am_ore_medium", {
	description = "Am Ore",
	tiles = {"default_stone.png^am_ore_medium.png"},
	is_ground_content = true,
	groups = {cracky=3, stone=1},
	drop = 'am:am_chunk',
	legacy_mineral = true,
	sounds = default.node_sound_stone_defaults(),
})
minetest.register_node("am:am_ore_small", {
	description = "Am Ore",
	tiles = {"default_stone.png^am_ore_small.png"},
	is_ground_content = true,
	groups = {cracky=3, stone=1},
	drop = 'am:am_shard',
	legacy_mineral = true,
	sounds = default.node_sound_stone_defaults(),
})
minetest.register_node("am:am_ore_large", {
	description = "Am Ore",
	tiles = {"default_stone.png^am_ore_large.png"},
	is_ground_content = true,
	groups = {cracky=3, stone=1},
	drop = 'am:am_gem',
	legacy_mineral = true,
	sounds = default.node_sound_stone_defaults(),
})
minetest.register_node("am:am_block", {
	description = "Am Block",
	tiles = {"am_block.png"},
	is_ground_content = true,
	groups = {cracky=3, stone=1},
	legacy_mineral = true,
	sounds = default.node_sound_stone_defaults(),
})
--Items
minetest.register_craftitem("am:am_chunk", {
	description = "Am Chunk",
	inventory_image = "am_chunk.png",
})
minetest.register_craftitem("am:am_shard", {
	description = "Am Shard",
	inventory_image = "am_shard.png",
})
minetest.register_craftitem("am:am_gem", {
	description = "Am Gem",
	inventory_image = "am_gem.png",
})

--Tools

minetest.register_tool("am:am_pick", {
	description = "Am Pickaxe",
	inventory_image = "am_pick.png",
	tool_capabilities = {
		full_punch_interval = 1.0,
		max_drop_level=1,
		groupcaps={
			cracky = {times={[1]=2.00, [2]=1.25, [3]=0.50}, uses=20, maxlevel=2},
		},
		damage_groups = {fleshy=4},
	},
})
minetest.register_tool("am:steel_am_pick", {
	description = "Steel & Am Pickaxe",
	inventory_image = "steel_am_pick.png",
	tool_capabilities = {
		full_punch_interval = 1.0,
		max_drop_level=1,
		groupcaps={
			cracky = {times={[1]=5.10, [2]=2.70, [3]=1.90}, uses=80, maxlevel=2},
		},
		damage_groups = {fleshy=4},
	},
})
minetest.register_tool("am:am_shovel", {
	description = "Am Shovel",
	inventory_image = "am_shovel.png",
	wield_image = "am_shovel.png^[transformR90",
	tool_capabilities = {
		full_punch_interval = 1.1,
		max_drop_level=1,
		groupcaps={
			crumbly = {times={[1]=1.50, [2]=0.90, [3]=0.40}, uses=20, maxlevel=2},
		},
		damage_groups = {fleshy=3},
	},
})
minetest.register_tool("am:steel_am_shovel", {
	description = "Steel & Am Shovel",
	inventory_image = "steel_am_shovel.png",
	wield_image = "steel_am_shovel.png^[transformR90",
	tool_capabilities = {
		full_punch_interval = 1.1,
		max_drop_level=1,
		groupcaps={
			crumbly = {times={[1]=2.60, [2]=2.00, [3]=1.50}, uses=80, maxlevel=2},
		},
		damage_groups = {fleshy=3},
	},
})
minetest.register_tool("am:am_axe", {
	description = "Am axe",
	inventory_image = "am_axe.png",
	tool_capabilities = {
		full_punch_interval = 1.0,
		max_drop_level=1,
		groupcaps={
			choppy={times={[1]=1.50, [2]=1.00, [3]=0.50}, uses=20, maxlevel=2},
		},
		damage_groups = {fleshy=4},
	},
})

minetest.register_tool("am:steel_am_axe", {
	description = "Steel & Am Axe",
	inventory_image = "steel_am_axe.png",
	tool_capabilities = {
		full_punch_interval = 1.0,
		max_drop_level=1,
		groupcaps={
			choppy={times={[1]=3.60, [2]=2.50, [3]=2.10}, uses=70, maxlevel=2},
		},
		damage_groups = {fleshy=4},
	},
})
minetest.register_tool("am:am_sword", {
	description = "Am Sword",
	inventory_image = "am_sword.png",
	tool_capabilities = {
		full_punch_interval = 1.0,
		max_drop_level=1,
		groupcaps={
			snappy={times={[1]=1.5, [2]=1.20, [3]=0.35}, uses=10, maxlevel=2},
		},
		damage_groups = {fleshy=6},
	}
})

minetest.register_tool("am:steel_am_sword", {
	description = "Steel & Am Sword",
	inventory_image = "steel_am_sword.png",
	tool_capabilities = {
		full_punch_interval = 1.0,
		max_drop_level=1,
		groupcaps={
			snappy={times={[1]=3.6, [2]=2.30, [3]=1.45}, uses=80, maxlevel=2},
		},
		damage_groups = {fleshy=6},
	}
})

--Crafting--

minetest.register_craft({
	output = 'am:am_shovel',
	recipe = {
		{'am:am_gem'},
		{'default:stick'},
		{'default:stick'},
	}
})

minetest.register_craft({
	output = 'am:steel_am_shovel',
	recipe = {
		{'am:am_gem'},
		{'default:steel_ingot'},
		{'default:stick'},
	}
})

minetest.register_craft({
	output = 'am:am_axe',
	recipe = {
		{'am:am_gem', 'am:am_gem'},
		{'am:am_gem', 'default:stick'},
		{'', 'default:stick'},
	}
})

minetest.register_craft({
	output = 'am:steel_am_axe',
	recipe = {
		{'am:am_gem', 'default:steel_ingot'},
		{'am:am_gem', 'default:stick'},
		{'', 'default:stick'},
	}
})

minetest.register_craft({
	output = 'am:am_sword',
	recipe = {
		{'am:am_gem'},
		{'am:am_gem'},
		{'default:stick'},
	}
})

minetest.register_craft({
	output = 'am:steel_am_sword',
	recipe = {
		{'am:am_gem'},
		{'default:steel_ingot'},
		{'default:stick'},
	}
})

minetest.register_craft({
	output = 'am:am_pick',
	recipe = {
		{'am:am_gem', 'am:am_gem', 'am:am_gem'},
		{'', 'default:stick', ''},
		{'', 'default:stick', ''},
	}
})

minetest.register_craft({
	output = 'am:steel_am_pick',
	recipe = {
		{'am:am_gem', 'default:steel_ingot', 'am:am_gem'},
		{'', 'default:stick', ''},
		{'', 'default:stick', ''},
	}
})

minetest.register_craft({
	output = 'am:am_chunk',
	recipe = {
		{'', '', ''},
		{'am:am_shard', 'am:am_shard', ''},
		{'am:am_shard', 'am:am_shard', ''},
	}
})

minetest.register_craft({
	output = 'am:am_gem',
	recipe = {
		{'', '', ''},
		{'am:am_chunk', 'am:am_chunk', ''},
		{'am:am_chunk', 'am:am_chunk', ''},
	}
})

minetest.register_craft({
	output = 'am:am_block',
	recipe = {
		{'am:am_gem', 'am:am_gem', 'am:am_gem'},
		{'am:am_gem', 'am:am_gem', 'am:am_gem'},
		{'am:am_gem', 'am:am_gem', 'am:am_gem'},
	}
})
