--Generation
minetest.register_ore({
	ore_type       = "scatter",
	ore            = "l:l_ore_large",
	wherein        = "default:stone",
	clust_scarcity = 10*10*10,
	clust_num_ores = 9,
	clust_size     = 5,
	height_min     = -31000,
	height_max     = -100,
})

minetest.register_ore({
	ore_type       = "scatter",
	ore            = "l:l_ore_small",
	wherein        = "default:stone",
	clust_scarcity = 7*7*7,
	clust_num_ores = 5,
	clust_size     = 2,
	height_min     = -31000,
	height_max     = 100,
})
minetest.register_ore({
	ore_type       = "scatter",
	ore            = "l:l_ore_medium",
	wherein        = "default:stone",
	clust_scarcity = 6*6*6,
	clust_num_ores = 5,
	clust_size     = 2,
	height_min     = -31000,
	height_max     = -45,
})

minetest.register_ore({
	ore_type       = "scatter",
	ore            = "l:l_ore_medium",
	wherein        = "default:stone",
	clust_scarcity = 9*9*9,
	clust_num_ores = 7,
	clust_size     = 3,
	height_min     = -31000,
	height_max     = -65,
})

minetest.register_ore({
	ore_type       = "scatter",
	ore            = "l:l_ore_large",
	wherein        = "default:stone",
	clust_scarcity = 5*5*5,
	clust_num_ores = 5,
	clust_size     = 2,
	height_min     = -31000,
	height_max     = -75,
})
minetest.register_ore({
	ore_type       = "scatter",
	ore            = "l:l_ore_large",
	wherein        = "default:stone",
	clust_scarcity = 9*9*9,
	clust_num_ores = 5,
	clust_size     = 3,
	height_min     = -31000,
	height_max     = -125,
})
--Nodes
minetest.register_node("l:l_ore_medium", {
	description = "L Ore",
	tiles = {"default_stone.png^l_ore_medium.png"},
	is_ground_content = true,
	groups = {cracky=3, stone=1},
	drop = 'l:l_chunk',
	legacy_mineral = true,
	sounds = default.node_sound_stone_defaults(),
})
minetest.register_node("l:l_ore_small", {
	description = "L Ore",
	tiles = {"default_stone.png^l_ore_small.png"},
	is_ground_content = true,
	groups = {cracky=3, stone=1},
	drop = 'l:l_shard',
	legacy_mineral = true,
	sounds = default.node_sound_stone_defaults(),
})
minetest.register_node("l:l_ore_large", {
	description = "L Ore",
	tiles = {"default_stone.png^l_ore_large.png"},
	is_ground_content = true,
	groups = {cracky=3, stone=1},
	drop = 'l:l_gem',
	legacy_mineral = true,
	sounds = default.node_sound_stone_defaults(),
})
minetest.register_node("l:l_block", {
	description = "L Block",
	tiles = {"l_block.png"},
	is_ground_content = true,
	groups = {cracky=3, stone=1},
	legacy_mineral = true,
	sounds = default.node_sound_stone_defaults(),
})
--Items
minetest.register_craftitem("l:l_chunk", {
	description = "L Chunk",
	inventory_image = "l_chunk.png",
})
minetest.register_craftitem("l:l_shard", {
	description = "L Shard",
	inventory_image = "l_shard.png",
})
minetest.register_craftitem("l:l_gem", {
	description = "L Gem",
	inventory_image = "l_gem.png",
})

--Tools

minetest.register_tool("l:l_pick", {
	description = "L Pickaxe",
	inventory_image = "l_pick.png",
	tool_capabilities = {
		full_punch_interval = 1.0,
		max_drop_level=1,
		groupcaps={
			cracky = {times={[1]=2.00, [2]=1.25, [3]=0.50}, uses=20, maxlevel=2},
		},
		dlage_groups = {fleshy=4},
	},
})
minetest.register_tool("l:steel_l_pick", {
	description = "Steel & L Pickaxe",
	inventory_image = "steel_l_pick.png",
	tool_capabilities = {
		full_punch_interval = 1.0,
		max_drop_level=1,
		groupcaps={
			cracky = {times={[1]=5.10, [2]=2.70, [3]=1.90}, uses=80, maxlevel=2},
		},
		dlage_groups = {fleshy=4},
	},
})
minetest.register_tool("l:l_shovel", {
	description = "L Shovel",
	inventory_image = "l_shovel.png",
	wield_image = "l_shovel.png^[transformR90",
	tool_capabilities = {
		full_punch_interval = 1.1,
		max_drop_level=1,
		groupcaps={
			crumbly = {times={[1]=1.50, [2]=0.90, [3]=0.40}, uses=20, maxlevel=2},
		},
		dlage_groups = {fleshy=3},
	},
})
minetest.register_tool("l:steel_l_shovel", {
	description = "Steel & L Shovel",
	inventory_image = "steel_l_shovel.png",
	wield_image = "steel_l_shovel.png^[transformR90",
	tool_capabilities = {
		full_punch_interval = 1.1,
		max_drop_level=1,
		groupcaps={
			crumbly = {times={[1]=2.60, [2]=2.00, [3]=1.50}, uses=80, maxlevel=2},
		},
		dlage_groups = {fleshy=3},
	},
})
minetest.register_tool("l:l_axe", {
	description = "L axe",
	inventory_image = "l_axe.png",
	tool_capabilities = {
		full_punch_interval = 1.0,
		max_drop_level=1,
		groupcaps={
			choppy={times={[1]=1.50, [2]=1.00, [3]=0.50}, uses=20, maxlevel=2},
		},
		dlage_groups = {fleshy=4},
	},
})

minetest.register_tool("l:steel_l_axe", {
	description = "Steel & L Axe",
	inventory_image = "steel_l_axe.png",
	tool_capabilities = {
		full_punch_interval = 1.0,
		max_drop_level=1,
		groupcaps={
			choppy={times={[1]=3.60, [2]=2.50, [3]=2.10}, uses=70, maxlevel=2},
		},
		dlage_groups = {fleshy=4},
	},
})
minetest.register_tool("l:l_sword", {
	description = "L Sword",
	inventory_image = "l_sword.png",
	tool_capabilities = {
		full_punch_interval = 1.0,
		max_drop_level=1,
		groupcaps={
			snappy={times={[1]=1.5, [2]=1.20, [3]=0.35}, uses=10, maxlevel=2},
		},
		dlage_groups = {fleshy=6},
	}
})

minetest.register_tool("l:steel_l_sword", {
	description = "Steel & L Sword",
	inventory_image = "steel_l_sword.png",
	tool_capabilities = {
		full_punch_interval = 1.0,
		max_drop_level=1,
		groupcaps={
			snappy={times={[1]=3.6, [2]=2.30, [3]=1.45}, uses=80, maxlevel=2},
		},
		dlage_groups = {fleshy=6},
	}
})

--Crafting--

minetest.register_craft({
	output = 'l:l_shovel',
	recipe = {
		{'l:l_gem'},
		{'default:stick'},
		{'default:stick'},
	}
})

minetest.register_craft({
	output = 'l:steel_l_shovel',
	recipe = {
		{'l:l_gem'},
		{'default:steel_ingot'},
		{'default:stick'},
	}
})

minetest.register_craft({
	output = 'l:l_axe',
	recipe = {
		{'l:l_gem', 'l:l_gem'},
		{'l:l_gem', 'default:stick'},
		{'', 'default:stick'},
	}
})

minetest.register_craft({
	output = 'l:steel_l_axe',
	recipe = {
		{'l:l_gem', 'default:steel_ingot'},
		{'l:l_gem', 'default:stick'},
		{'', 'default:stick'},
	}
})

minetest.register_craft({
	output = 'l:l_sword',
	recipe = {
		{'l:l_gem'},
		{'l:l_gem'},
		{'default:stick'},
	}
})

minetest.register_craft({
	output = 'l:steel_l_sword',
	recipe = {
		{'l:l_gem'},
		{'default:steel_ingot'},
		{'default:stick'},
	}
})

minetest.register_craft({
	output = 'l:l_pick',
	recipe = {
		{'l:l_gem', 'l:l_gem', 'l:l_gem'},
		{'', 'default:stick', ''},
		{'', 'default:stick', ''},
	}
})

minetest.register_craft({
	output = 'l:steel_l_pick',
	recipe = {
		{'l:l_gem', 'default:steel_ingot', 'l:l_gem'},
		{'', 'default:stick', ''},
		{'', 'default:stick', ''},
	}
})

minetest.register_craft({
	output = 'l:l_chunk',
	recipe = {
		{'', '', ''},
		{'l:l_shard', 'l:l_shard', ''},
		{'l:l_shard', 'l:l_shard', ''},
	}
})

minetest.register_craft({
	output = 'l:l_gem',
	recipe = {
		{'', '', ''},
		{'l:l_chunk', 'l:l_chunk', ''},
		{'l:l_chunk', 'l:l_chunk', ''},
	}
})

minetest.register_craft({
	output = 'l:l_block',
	recipe = {
		{'l:l_gem', 'l:l_gem', 'l:l_gem'},
		{'l:l_gem', 'l:l_gem', 'l:l_gem'},
		{'l:l_gem', 'l:l_gem', 'l:l_gem'},
	}
})
