--Generation
minetest.register_ore({
	ore_type       = "scatter",
	ore            = "ma:ma_ore_large",
	wherein        = "default:stone",
	clust_scarcity = 10*10*10,
	clust_num_ores = 9,
	clust_size     = 5,
	height_min     = -31000,
	height_max     = -100,
})

minetest.register_ore({
	ore_type       = "scatter",
	ore            = "ma:ma_ore_small",
	wherein        = "default:stone",
	clust_scarcity = 7*7*7,
	clust_num_ores = 5,
	clust_size     = 2,
	height_min     = -31000,
	height_max     = 100,
})
minetest.register_ore({
	ore_type       = "scatter",
	ore            = "ma:ma_ore_medium",
	wherein        = "default:stone",
	clust_scarcity = 6*6*6,
	clust_num_ores = 5,
	clust_size     = 2,
	height_min     = -31000,
	height_max     = -45,
})

minetest.register_ore({
	ore_type       = "scatter",
	ore            = "ma:ma_ore_medium",
	wherein        = "default:stone",
	clust_scarcity = 9*9*9,
	clust_num_ores = 7,
	clust_size     = 3,
	height_min     = -31000,
	height_max     = -65,
})

minetest.register_ore({
	ore_type       = "scatter",
	ore            = "ma:ma_ore_large",
	wherein        = "default:stone",
	clust_scarcity = 5*5*5,
	clust_num_ores = 5,
	clust_size     = 2,
	height_min     = -31000,
	height_max     = -75,
})
minetest.register_ore({
	ore_type       = "scatter",
	ore            = "ma:ma_ore_large",
	wherein        = "default:stone",
	clust_scarcity = 9*9*9,
	clust_num_ores = 5,
	clust_size     = 3,
	height_min     = -31000,
	height_max     = -125,
})
--Nodes
minetest.register_node("ma:ma_ore_medium", {
	description = "Ma Ore",
	tiles = {"default_stone.png^ma_ore_medium.png"},
	is_ground_content = true,
	groups = {cracky=3, stone=1},
	drop = 'ma:ma_chunk',
	legacy_mineral = true,
	sounds = default.node_sound_stone_defaults(),
})
minetest.register_node("ma:ma_ore_small", {
	description = "Ma Ore",
	tiles = {"default_stone.png^ma_ore_small.png"},
	is_ground_content = true,
	groups = {cracky=3, stone=1},
	drop = 'ma:ma_shard',
	legacy_mineral = true,
	sounds = default.node_sound_stone_defaults(),
})
minetest.register_node("ma:ma_ore_large", {
	description = "Ma Ore",
	tiles = {"default_stone.png^ma_ore_large.png"},
	is_ground_content = true,
	groups = {cracky=3, stone=1},
	drop = 'ma:ma_gem',
	legacy_mineral = true,
	sounds = default.node_sound_stone_defaults(),
})
minetest.register_node("ma:ma_block", {
	description = "Ma Block",
	tiles = {"ma_block.png"},
	is_ground_content = true,
	groups = {cracky=3, stone=1},
	legacy_mineral = true,
	sounds = default.node_sound_stone_defaults(),
})
--Items
minetest.register_craftitem("ma:ma_chunk", {
	description = "Ma Chunk",
	inventory_image = "ma_chunk.png",
})
minetest.register_craftitem("ma:ma_shard", {
	description = "Ma Shard",
	inventory_image = "ma_shard.png",
})
minetest.register_craftitem("ma:ma_gem", {
	description = "Ma Gem",
	inventory_image = "ma_gem.png",
})

--Tools

minetest.register_tool("ma:ma_pick", {
	description = "Ma Pickaxe",
	inventory_image = "ma_pick.png",
	tool_capabilities = {
		full_punch_interval = 1.0,
		max_drop_level=1,
		groupcaps={
			cracky = {times={[1]=2.00, [2]=1.25, [3]=0.50}, uses=20, maxlevel=2},
		},
		dmaage_groups = {fleshy=4},
	},
})
minetest.register_tool("ma:steel_ma_pick", {
	description = "Steel & Ma Pickaxe",
	inventory_image = "steel_ma_pick.png",
	tool_capabilities = {
		full_punch_interval = 1.0,
		max_drop_level=1,
		groupcaps={
			cracky = {times={[1]=5.10, [2]=2.70, [3]=1.90}, uses=80, maxlevel=2},
		},
		dmaage_groups = {fleshy=4},
	},
})
minetest.register_tool("ma:ma_shovel", {
	description = "Ma Shovel",
	inventory_image = "ma_shovel.png",
	wield_image = "ma_shovel.png^[transformR90",
	tool_capabilities = {
		full_punch_interval = 1.1,
		max_drop_level=1,
		groupcaps={
			crumbly = {times={[1]=1.50, [2]=0.90, [3]=0.40}, uses=20, maxlevel=2},
		},
		dmaage_groups = {fleshy=3},
	},
})
minetest.register_tool("ma:steel_ma_shovel", {
	description = "Steel & Ma Shovel",
	inventory_image = "steel_ma_shovel.png",
	wield_image = "steel_ma_shovel.png^[transformR90",
	tool_capabilities = {
		full_punch_interval = 1.1,
		max_drop_level=1,
		groupcaps={
			crumbly = {times={[1]=2.60, [2]=2.00, [3]=1.50}, uses=80, maxlevel=2},
		},
		dmaage_groups = {fleshy=3},
	},
})
minetest.register_tool("ma:ma_axe", {
	description = "Ma axe",
	inventory_image = "ma_axe.png",
	tool_capabilities = {
		full_punch_interval = 1.0,
		max_drop_level=1,
		groupcaps={
			choppy={times={[1]=1.50, [2]=1.00, [3]=0.50}, uses=20, maxlevel=2},
		},
		dmaage_groups = {fleshy=4},
	},
})

minetest.register_tool("ma:steel_ma_axe", {
	description = "Steel & Ma Axe",
	inventory_image = "steel_ma_axe.png",
	tool_capabilities = {
		full_punch_interval = 1.0,
		max_drop_level=1,
		groupcaps={
			choppy={times={[1]=3.60, [2]=2.50, [3]=2.10}, uses=70, maxlevel=2},
		},
		dmaage_groups = {fleshy=4},
	},
})
minetest.register_tool("ma:ma_sword", {
	description = "Ma Sword",
	inventory_image = "ma_sword.png",
	tool_capabilities = {
		full_punch_interval = 1.0,
		max_drop_level=1,
		groupcaps={
			snappy={times={[1]=1.5, [2]=1.20, [3]=0.35}, uses=10, maxlevel=2},
		},
		dmaage_groups = {fleshy=6},
	}
})

minetest.register_tool("ma:steel_ma_sword", {
	description = "Steel & Ma Sword",
	inventory_image = "steel_ma_sword.png",
	tool_capabilities = {
		full_punch_interval = 1.0,
		max_drop_level=1,
		groupcaps={
			snappy={times={[1]=3.6, [2]=2.30, [3]=1.45}, uses=80, maxlevel=2},
		},
		dmaage_groups = {fleshy=6},
	}
})

--Crafting--

minetest.register_craft({
	output = 'ma:ma_shovel',
	recipe = {
		{'ma:ma_gem'},
		{'default:stick'},
		{'default:stick'},
	}
})

minetest.register_craft({
	output = 'ma:steel_ma_shovel',
	recipe = {
		{'ma:ma_gem'},
		{'default:steel_ingot'},
		{'default:stick'},
	}
})

minetest.register_craft({
	output = 'ma:ma_axe',
	recipe = {
		{'ma:ma_gem', 'ma:ma_gem'},
		{'ma:ma_gem', 'default:stick'},
		{'', 'default:stick'},
	}
})

minetest.register_craft({
	output = 'ma:steel_ma_axe',
	recipe = {
		{'ma:ma_gem', 'default:steel_ingot'},
		{'ma:ma_gem', 'default:stick'},
		{'', 'default:stick'},
	}
})

minetest.register_craft({
	output = 'ma:ma_sword',
	recipe = {
		{'ma:ma_gem'},
		{'ma:ma_gem'},
		{'default:stick'},
	}
})

minetest.register_craft({
	output = 'ma:steel_ma_sword',
	recipe = {
		{'ma:ma_gem'},
		{'default:steel_ingot'},
		{'default:stick'},
	}
})

minetest.register_craft({
	output = 'ma:ma_pick',
	recipe = {
		{'ma:ma_gem', 'ma:ma_gem', 'ma:ma_gem'},
		{'', 'default:stick', ''},
		{'', 'default:stick', ''},
	}
})

minetest.register_craft({
	output = 'ma:steel_ma_pick',
	recipe = {
		{'ma:ma_gem', 'default:steel_ingot', 'ma:ma_gem'},
		{'', 'default:stick', ''},
		{'', 'default:stick', ''},
	}
})

minetest.register_craft({
	output = 'ma:ma_chunk',
	recipe = {
		{'', '', ''},
		{'ma:ma_shard', 'ma:ma_shard', ''},
		{'ma:ma_shard', 'ma:ma_shard', ''},
	}
})

minetest.register_craft({
	output = 'ma:ma_gem',
	recipe = {
		{'', '', ''},
		{'ma:ma_chunk', 'ma:ma_chunk', ''},
		{'ma:ma_chunk', 'ma:ma_chunk', ''},
	}
})

minetest.register_craft({
	output = 'ma:ma_block',
	recipe = {
		{'ma:ma_gem', 'ma:ma_gem', 'ma:ma_gem'},
		{'ma:ma_gem', 'ma:ma_gem', 'ma:ma_gem'},
		{'ma:ma_gem', 'ma:ma_gem', 'ma:ma_gem'},
	}
})
