--Generation
minetest.register_ore({
	ore_type       = "scatter",
	ore            = "t:t_ore_large",
	wherein        = "default:stone",
	clust_scarcity = 10*10*10,
	clust_num_ores = 9,
	clust_size     = 5,
	height_min     = -31000,
	height_max     = -100,
})

minetest.register_ore({
	ore_type       = "scatter",
	ore            = "t:t_ore_small",
	wherein        = "default:stone",
	clust_scarcity = 7*7*7,
	clust_num_ores = 5,
	clust_size     = 2,
	height_min     = -31000,
	height_max     = 100,
})
minetest.register_ore({
	ore_type       = "scatter",
	ore            = "t:t_ore_medium",
	wherein        = "default:stone",
	clust_scarcity = 6*6*6,
	clust_num_ores = 5,
	clust_size     = 2,
	height_min     = -31000,
	height_max     = -45,
})

minetest.register_ore({
	ore_type       = "scatter",
	ore            = "t:t_ore_medium",
	wherein        = "default:stone",
	clust_scarcity = 9*9*9,
	clust_num_ores = 7,
	clust_size     = 3,
	height_min     = -31000,
	height_max     = -65,
})

minetest.register_ore({
	ore_type       = "scatter",
	ore            = "t:t_ore_large",
	wherein        = "default:stone",
	clust_scarcity = 5*5*5,
	clust_num_ores = 5,
	clust_size     = 2,
	height_min     = -31000,
	height_max     = -75,
})
minetest.register_ore({
	ore_type       = "scatter",
	ore            = "t:t_ore_large",
	wherein        = "default:stone",
	clust_scarcity = 9*9*9,
	clust_num_ores = 5,
	clust_size     = 3,
	height_min     = -31000,
	height_max     = -125,
})
--Nodes
minetest.register_node("t:t_ore_medium", {
	description = "T Ore",
	tiles = {"default_stone.png^t_ore_medium.png"},
	is_ground_content = true,
	groups = {cracky=3, stone=1},
	drop = 't:t_chunk',
	legacy_mineral = true,
	sounds = default.node_sound_stone_defaults(),
})
minetest.register_node("t:t_ore_small", {
	description = "T Ore",
	tiles = {"default_stone.png^t_ore_small.png"},
	is_ground_content = true,
	groups = {cracky=3, stone=1},
	drop = 't:t_shard',
	legacy_mineral = true,
	sounds = default.node_sound_stone_defaults(),
})
minetest.register_node("t:t_ore_large", {
	description = "T Ore",
	tiles = {"default_stone.png^t_ore_large.png"},
	is_ground_content = true,
	groups = {cracky=3, stone=1},
	drop = 't:t_gem',
	legacy_mineral = true,
	sounds = default.node_sound_stone_defaults(),
})
minetest.register_node("t:t_block", {
	description = "T Block",
	tiles = {"t_block.png"},
	is_ground_content = true,
	groups = {cracky=3, stone=1},
	legacy_mineral = true,
	sounds = default.node_sound_stone_defaults(),
})
--Items
minetest.register_craftitem("t:t_chunk", {
	description = "T Chunk",
	inventory_image = "t_chunk.png",
})
minetest.register_craftitem("t:t_shard", {
	description = "T Shard",
	inventory_image = "t_shard.png",
})
minetest.register_craftitem("t:t_gem", {
	description = "T Gem",
	inventory_image = "t_gem.png",
})

--Tools

minetest.register_tool("t:t_pick", {
	description = "T Pickaxe",
	inventory_image = "t_pick.png",
	tool_capabilities = {
		full_punch_interval = 1.0,
		max_drop_level=1,
		groupcaps={
			cracky = {times={[1]=2.00, [2]=1.25, [3]=0.50}, uses=20, maxlevel=2},
		},
		dtage_groups = {fleshy=4},
	},
})
minetest.register_tool("t:steel_t_pick", {
	description = "Steel & T Pickaxe",
	inventory_image = "steel_t_pick.png",
	tool_capabilities = {
		full_punch_interval = 1.0,
		max_drop_level=1,
		groupcaps={
			cracky = {times={[1]=5.10, [2]=2.70, [3]=1.90}, uses=80, maxlevel=2},
		},
		dtage_groups = {fleshy=4},
	},
})
minetest.register_tool("t:t_shovel", {
	description = "T Shovel",
	inventory_image = "t_shovel.png",
	wield_image = "t_shovel.png^[transformR90",
	tool_capabilities = {
		full_punch_interval = 1.1,
		max_drop_level=1,
		groupcaps={
			crumbly = {times={[1]=1.50, [2]=0.90, [3]=0.40}, uses=20, maxlevel=2},
		},
		dtage_groups = {fleshy=3},
	},
})
minetest.register_tool("t:steel_t_shovel", {
	description = "Steel & T Shovel",
	inventory_image = "steel_t_shovel.png",
	wield_image = "steel_t_shovel.png^[transformR90",
	tool_capabilities = {
		full_punch_interval = 1.1,
		max_drop_level=1,
		groupcaps={
			crumbly = {times={[1]=2.60, [2]=2.00, [3]=1.50}, uses=80, maxlevel=2},
		},
		dtage_groups = {fleshy=3},
	},
})
minetest.register_tool("t:t_axe", {
	description = "T axe",
	inventory_image = "t_axe.png",
	tool_capabilities = {
		full_punch_interval = 1.0,
		max_drop_level=1,
		groupcaps={
			choppy={times={[1]=1.50, [2]=1.00, [3]=0.50}, uses=20, maxlevel=2},
		},
		dtage_groups = {fleshy=4},
	},
})

minetest.register_tool("t:steel_t_axe", {
	description = "Steel & T Axe",
	inventory_image = "steel_t_axe.png",
	tool_capabilities = {
		full_punch_interval = 1.0,
		max_drop_level=1,
		groupcaps={
			choppy={times={[1]=3.60, [2]=2.50, [3]=2.10}, uses=70, maxlevel=2},
		},
		dtage_groups = {fleshy=4},
	},
})
minetest.register_tool("t:t_sword", {
	description = "T Sword",
	inventory_image = "t_sword.png",
	tool_capabilities = {
		full_punch_interval = 1.0,
		max_drop_level=1,
		groupcaps={
			snappy={times={[1]=1.5, [2]=1.20, [3]=0.35}, uses=10, maxlevel=2},
		},
		dtage_groups = {fleshy=6},
	}
})

minetest.register_tool("t:steel_t_sword", {
	description = "Steel & T Sword",
	inventory_image = "steel_t_sword.png",
	tool_capabilities = {
		full_punch_interval = 1.0,
		max_drop_level=1,
		groupcaps={
			snappy={times={[1]=3.6, [2]=2.30, [3]=1.45}, uses=80, maxlevel=2},
		},
		dtage_groups = {fleshy=6},
	}
})

--Crafting--

minetest.register_craft({
	output = 't:t_shovel',
	recipe = {
		{'t:t_gem'},
		{'default:stick'},
		{'default:stick'},
	}
})

minetest.register_craft({
	output = 't:steel_t_shovel',
	recipe = {
		{'t:t_gem'},
		{'default:steel_ingot'},
		{'default:stick'},
	}
})

minetest.register_craft({
	output = 't:t_axe',
	recipe = {
		{'t:t_gem', 't:t_gem'},
		{'t:t_gem', 'default:stick'},
		{'', 'default:stick'},
	}
})

minetest.register_craft({
	output = 't:steel_t_axe',
	recipe = {
		{'t:t_gem', 'default:steel_ingot'},
		{'t:t_gem', 'default:stick'},
		{'', 'default:stick'},
	}
})

minetest.register_craft({
	output = 't:t_sword',
	recipe = {
		{'t:t_gem'},
		{'t:t_gem'},
		{'default:stick'},
	}
})

minetest.register_craft({
	output = 't:steel_t_sword',
	recipe = {
		{'t:t_gem'},
		{'default:steel_ingot'},
		{'default:stick'},
	}
})

minetest.register_craft({
	output = 't:t_pick',
	recipe = {
		{'t:t_gem', 't:t_gem', 't:t_gem'},
		{'', 'default:stick', ''},
		{'', 'default:stick', ''},
	}
})

minetest.register_craft({
	output = 't:steel_t_pick',
	recipe = {
		{'t:t_gem', 'default:steel_ingot', 't:t_gem'},
		{'', 'default:stick', ''},
		{'', 'default:stick', ''},
	}
})

minetest.register_craft({
	output = 't:t_chunk',
	recipe = {
		{'', '', ''},
		{'t:t_shard', 't:t_shard', ''},
		{'t:t_shard', 't:t_shard', ''},
	}
})

minetest.register_craft({
	output = 't:t_gem',
	recipe = {
		{'', '', ''},
		{'t:t_chunk', 't:t_chunk', ''},
		{'t:t_chunk', 't:t_chunk', ''},
	}
})

minetest.register_craft({
	output = 't:t_block',
	recipe = {
		{'t:t_gem', 't:t_gem', 't:t_gem'},
		{'t:t_gem', 't:t_gem', 't:t_gem'},
		{'t:t_gem', 't:t_gem', 't:t_gem'},
	}
})
