--Generation
minetest.register_ore({
	ore_type       = "scatter",
	ore            = "v:v_ore_large",
	wherein        = "default:stone",
	clust_scarcity = 10*10*10,
	clust_num_ores = 9,
	clust_size     = 5,
	height_min     = -31000,
	height_max     = -100,
})

minetest.register_ore({
	ore_type       = "scatter",
	ore            = "v:v_ore_small",
	wherein        = "default:stone",
	clust_scarcity = 7*7*7,
	clust_num_ores = 5,
	clust_size     = 2,
	height_min     = -31000,
	height_max     = 100,
})
minetest.register_ore({
	ore_type       = "scatter",
	ore            = "v:v_ore_medium",
	wherein        = "default:stone",
	clust_scarcity = 6*6*6,
	clust_num_ores = 5,
	clust_size     = 2,
	height_min     = -31000,
	height_max     = -45,
})

minetest.register_ore({
	ore_type       = "scatter",
	ore            = "v:v_ore_medium",
	wherein        = "default:stone",
	clust_scarcity = 9*9*9,
	clust_num_ores = 7,
	clust_size     = 3,
	height_min     = -31000,
	height_max     = -65,
})

minetest.register_ore({
	ore_type       = "scatter",
	ore            = "v:v_ore_large",
	wherein        = "default:stone",
	clust_scarcity = 5*5*5,
	clust_num_ores = 5,
	clust_size     = 2,
	height_min     = -31000,
	height_max     = -75,
})
minetest.register_ore({
	ore_type       = "scatter",
	ore            = "v:v_ore_large",
	wherein        = "default:stone",
	clust_scarcity = 9*9*9,
	clust_num_ores = 5,
	clust_size     = 3,
	height_min     = -31000,
	height_max     = -125,
})
--Nodes
minetest.register_node("v:v_ore_medium", {
	description = "V Ore",
	tiles = {"default_stone.png^v_ore_medium.png"},
	is_ground_content = true,
	groups = {cracky=3, stone=1},
	drop = 'v:v_chunk',
	legacy_mineral = true,
	sounds = default.node_sound_stone_defaults(),
})
minetest.register_node("v:v_ore_small", {
	description = "V Ore",
	tiles = {"default_stone.png^v_ore_small.png"},
	is_ground_content = true,
	groups = {cracky=3, stone=1},
	drop = 'v:v_shard',
	legacy_mineral = true,
	sounds = default.node_sound_stone_defaults(),
})
minetest.register_node("v:v_ore_large", {
	description = "V Ore",
	tiles = {"default_stone.png^v_ore_large.png"},
	is_ground_content = true,
	groups = {cracky=3, stone=1},
	drop = 'v:v_gem',
	legacy_mineral = true,
	sounds = default.node_sound_stone_defaults(),
})
minetest.register_node("v:v_block", {
	description = "V Block",
	tiles = {"v_block.png"},
	is_ground_content = true,
	groups = {cracky=3, stone=1},
	legacy_mineral = true,
	sounds = default.node_sound_stone_defaults(),
})
--Items
minetest.register_craftitem("v:v_chunk", {
	description = "V Chunk",
	inventory_image = "v_chunk.png",
})
minetest.register_craftitem("v:v_shard", {
	description = "V Shard",
	inventory_image = "v_shard.png",
})
minetest.register_craftitem("v:v_gem", {
	description = "V Gem",
	inventory_image = "v_gem.png",
})

--Tools

minetest.register_tool("v:v_pick", {
	description = "V Pickaxe",
	inventory_image = "v_pick.png",
	tool_capabilities = {
		full_punch_interval = 1.0,
		max_drop_level=1,
		groupcaps={
			cracky = {times={[1]=2.00, [2]=1.25, [3]=0.50}, uses=20, maxlevel=2},
		},
		dvage_groups = {fleshy=4},
	},
})
minetest.register_tool("v:steel_v_pick", {
	description = "Steel & V Pickaxe",
	inventory_image = "steel_v_pick.png",
	tool_capabilities = {
		full_punch_interval = 1.0,
		max_drop_level=1,
		groupcaps={
			cracky = {times={[1]=5.10, [2]=2.70, [3]=1.90}, uses=80, maxlevel=2},
		},
		dvage_groups = {fleshy=4},
	},
})
minetest.register_tool("v:v_shovel", {
	description = "V Shovel",
	inventory_image = "v_shovel.png",
	wield_image = "v_shovel.png^[transformR90",
	tool_capabilities = {
		full_punch_interval = 1.1,
		max_drop_level=1,
		groupcaps={
			crumbly = {times={[1]=1.50, [2]=0.90, [3]=0.40}, uses=20, maxlevel=2},
		},
		dvage_groups = {fleshy=3},
	},
})
minetest.register_tool("v:steel_v_shovel", {
	description = "Steel & V Shovel",
	inventory_image = "steel_v_shovel.png",
	wield_image = "steel_v_shovel.png^[transformR90",
	tool_capabilities = {
		full_punch_interval = 1.1,
		max_drop_level=1,
		groupcaps={
			crumbly = {times={[1]=2.60, [2]=2.00, [3]=1.50}, uses=80, maxlevel=2},
		},
		dvage_groups = {fleshy=3},
	},
})
minetest.register_tool("v:v_axe", {
	description = "V axe",
	inventory_image = "v_axe.png",
	tool_capabilities = {
		full_punch_interval = 1.0,
		max_drop_level=1,
		groupcaps={
			choppy={times={[1]=1.50, [2]=1.00, [3]=0.50}, uses=20, maxlevel=2},
		},
		dvage_groups = {fleshy=4},
	},
})

minetest.register_tool("v:steel_v_axe", {
	description = "Steel & V Axe",
	inventory_image = "steel_v_axe.png",
	tool_capabilities = {
		full_punch_interval = 1.0,
		max_drop_level=1,
		groupcaps={
			choppy={times={[1]=3.60, [2]=2.50, [3]=2.10}, uses=70, maxlevel=2},
		},
		dvage_groups = {fleshy=4},
	},
})
minetest.register_tool("v:v_sword", {
	description = "V Sword",
	inventory_image = "v_sword.png",
	tool_capabilities = {
		full_punch_interval = 1.0,
		max_drop_level=1,
		groupcaps={
			snappy={times={[1]=1.5, [2]=1.20, [3]=0.35}, uses=10, maxlevel=2},
		},
		dvage_groups = {fleshy=6},
	}
})

minetest.register_tool("v:steel_v_sword", {
	description = "Steel & V Sword",
	inventory_image = "steel_v_sword.png",
	tool_capabilities = {
		full_punch_interval = 1.0,
		max_drop_level=1,
		groupcaps={
			snappy={times={[1]=3.6, [2]=2.30, [3]=1.45}, uses=80, maxlevel=2},
		},
		dvage_groups = {fleshy=6},
	}
})

--Crafting--

minetest.register_craft({
	output = 'v:v_shovel',
	recipe = {
		{'v:v_gem'},
		{'default:diamond'},
		{'default:diamond'},
	}
})

minetest.register_craft({
	output = 'v:steel_v_shovel',
	recipe = {
		{'v:v_gem'},
		{'default:steel_ingot'},
		{'default:diamond'},
	}
})

minetest.register_craft({
	output = 'v:v_axe',
	recipe = {
		{'v:v_gem', 'v:v_gem'},
		{'v:v_gem', 'default:diamond'},
		{'', 'default:diamond'},
	}
})

minetest.register_craft({
	output = 'v:steel_v_axe',
	recipe = {
		{'v:v_gem', 'default:steel_ingot'},
		{'v:v_gem', 'default:diamond'},
		{'', 'default:diamond'},
	}
})

minetest.register_craft({
	output = 'v:v_sword',
	recipe = {
		{'v:v_gem'},
		{'v:v_gem'},
		{'default:diamond'},
	}
})

minetest.register_craft({
	output = 'v:steel_v_sword',
	recipe = {
		{'v:v_gem'},
		{'default:steel_ingot'},
		{'default:diamond'},
	}
})

minetest.register_craft({
	output = 'v:v_pick',
	recipe = {
		{'v:v_gem', 'v:v_gem', 'v:v_gem'},
		{'', 'default:diamond', ''},
		{'', 'default:diamond', ''},
	}
})

minetest.register_craft({
	output = 'v:steel_v_pick',
	recipe = {
		{'v:v_gem', 'default:steel_ingot', 'v:v_gem'},
		{'', 'default:diamond', ''},
		{'', 'default:diamond', ''},
	}
})

minetest.register_craft({
	output = 'v:v_chunk',
	recipe = {
		{'', '', ''},
		{'v:v_shard', 'v:v_shard', ''},
		{'v:v_shard', 'v:v_shard', ''},
	}
})

minetest.register_craft({
	output = 'v:v_gem',
	recipe = {
		{'', '', ''},
		{'v:v_chunk', 'v:v_chunk', ''},
		{'v:v_chunk', 'v:v_chunk', ''},
	}
})

minetest.register_craft({
	output = 'v:v_block',
	recipe = {
		{'v:v_gem', 'v:v_gem', 'v:v_gem'},
		{'v:v_gem', 'v:v_gem', 'v:v_gem'},
		{'v:v_gem', 'v:v_gem', 'v:v_gem'},
	}
})
